#!/usr/bin/env python
# -*- coding: utf-8 -*-
#
# (C) Copyright 2009, Markus Korn <thekorn@gmx.de>
#
# ##################################################################
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; version 2.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# See file /usr/share/common-licenses/GPL-2 for more details.
#
# ##################################################################

import glob
import os
import re

from distutils.core import setup
from DistUtilsExtra.command import build_extra, build_i18n

version = "0.1-dev"
# look/set what version we have
changelog = "debian/changelog"
if os.path.exists(changelog):
    head=open(changelog).readline()
    match = re.compile(".*\((.*)\).*").match(head)
    if match:
        version = match.group(1)
   
setup(
    name="zeitgeistfs",
    author="Markus Korn",
    author_email="thekorn@gmx.de",
    maintainer="Markus Korn",
    maintainer_email="thekorn@gmx.de",
    url="", #TBD
    license="GNU GPL v2+",
    description="FUSE filesystem to show zeitgeist data",
    version=version,
    packages=["zeitgeistfs"],
    py_modules=["fusepy"],
    package_dir={"": "src"},
    #~ scripts=[],
    #~ install_requires=[
    #~ 
    #~ ], #TBD
    entry_points=("""
        [console_scripts]
        zeitgeistfs=zeitgeistfs.cmd:main    
    """),
    cmdclass = {
        "build" : build_extra.build_extra,
        "build_i18n" :  build_i18n.build_i18n
    },
)
