#!/usr/bin/env python
# -*- coding: utf-8 -*-
#
# (C) Copyright 2009, Markus Korn <thekorn@gmx.de>
#
# ##################################################################
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# ##################################################################

import sys
import os
import logging

from fusepy import FUSE
from zeitgeistfs import MOUNT_FILE
from zeitgeistfs.filesystem import ZeitgeistFS

logging.basicConfig(level=logging.ERROR)

def main():
    if len(sys.argv) != 2:
        print "usage: %s <mountpoint>" % sys.argv[0]
        sys.exit(1)
    if os.path.exists(MOUNT_FILE):
        with open(MOUNT_FILE) as f:
            print "There is already one instance of the zeitgeist-filesystem running at %r" %f.read()
        sys.exit(1)
    else:
        with open(MOUNT_FILE, "w") as f:
            f.write(sys.argv[1])
    try:
        fuse = FUSE(ZeitgeistFS(sys.argv[1]), sys.argv[1], foreground=True)#, allow_other=True)
    finally:
        os.unlink(MOUNT_FILE)
